Bug 245651 - Crash when browsing prefs
Crash when browsing prefs
Status: CLOSED DUPLICATE of bug 338701
Product: Fedora
Classification: Fedora
Component: gtk2-engines (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F8Target
  Show dependency treegraph
 
Reported: 2007-06-25 17:15 EDT by Nicolas Mailhot
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 05:06:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
mapped backtrace (7.45 KB, text/plain)
2007-06-26 12:46 EDT, Caolan McNamara
no flags Details
Pharago gtkrc (29.82 KB, text/plain)
2007-06-26 13:38 EDT, Nicolas Mailhot
no flags Details

  None (edit)
Description Nicolas Mailhot 2007-06-25 17:15:19 EDT
Description of problem:

Crash when browsing prefs

Version-Release number of selected component (if applicable):
openoffice.org-core-1:2.2.1-18.3.fc8.x86_64

How reproducible:
one-time

Actual results:

(I)    x.org loaded video driver of...
(II) Loading /usr/lib64/xorg/modules/drivers//nouveau_drv.so
(III)  Desktop is: GNOME
(IV)   libgcj version is: libgcj-4.1.2-13-x86_64
(V)    kernel is: Linux 2.6.22-0.19.rc5.cfs18.hrt1.fc8 #1 SMP PREEMPT Sat Jun 23
05:16:02 EDT 2007 x86_64 x86_64 x86_64
(VI)   OpenOffice.org core rpm version is: openoffice.org-core-2.2.1-18.3.fc8-x86_64
(VII)    depth of root window:    24 planes
(VIII) accessibility is: true
(VIV)  fedora release is: Fedora release 7.89 (Rawhide)
...start free space details ...
Sys. de fich.        1K-blocs       Occupé Disponible Capacité Monté sur
/dev/mapper/VolGroup00-home
                      58151084  29118504  26031032  53% /home
/dev/mapper/VolGroup00-system
                      20314748  11372536   8103352  59% /
...end free space details ...
...start sestatus details ...
SELinux status:                 disabled
...end sestatus details ...
...start stackreport details ...
0x00000037122369c7: 0x00000000001eab48:
/usr/lib64/openoffice.org/program/libuno_sal.so.3 + 0x369c7
0x000000371223749a: 0x00000000001eab48:
/usr/lib64/openoffice.org/program/libuno_sal.so.3 + 0x3749a
0x0000003d34030620: 0x0000000000149b60: /lib64/libc.so.6 + 0x30620
0x0000003d340305b5: 0x0000000000149b60: /lib64/libc.so.6 + 0x305b5 (gsignal + 0x35)
0x0000003d34032060: 0x0000000000149b60: /lib64/libc.so.6 + 0x32060 (abort + 0x110)
0x0000003d34068d0b: 0x0000000000149b60: /lib64/libc.so.6 + 0x68d0b
0x0000003d34070412: 0x0000000000149b60: /lib64/libc.so.6 + 0x70412
0x0000003d34073b1c: 0x0000000000149b60: /lib64/libc.so.6 + 0x73b1c (cfree + 0x8c)
0x00002aaaae93b9b8: 0x000000000004ff88:
/usr/lib64/openoffice.org/program/libvclplug_gtk680lx.so + 0x369b8
0x000000303f3e7548: 0x0000000002228238:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x11e7548
(SalGraphics::GetNativeControlRegion(unsigned int, unsigned int, Region const&,
unsigned int, ImplControlValue const&, SalControlHandle&, rtl::OUString const&,
Region&, Region&, OutputDevice const*) + 0x168)
0x000000303f46c6a2: 0x0000000002228238:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x126c6a2
(Window::GetNativeControlRegion(unsigned int, unsigned int, Region const&,
unsigned int, ImplControlValue const&, rtl::OUString, Region&, Region&) + 0x112)
0x000000303f4aa62f: 0x0000000002228238:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x12aa62f (ListBox::Resize() +
0x19f)
0x000000303f45c969: 0x0000000002228238:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x125c969
0x000000303f45ca56: 0x0000000002228238:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x125ca56
(Window::Show(unsigned char, unsigned short) + 0xd6)
0x00002aaac270b640: 0x0000000000222f78:
/usr/lib64/openoffice.org/program/libswui680lx.so + 0x16e640
0x00002aaac270b8c4: 0x0000000000222f78:
/usr/lib64/openoffice.org/program/libswui680lx.so + 0x16e8c4
0x000000304275ed60: 0x0000000000ae9de8:
/usr/lib64/openoffice.org/program/libsw680lx.so + 0x75ed60
0x00002aaac1dce74b: 0x00000000002acc88:
/usr/lib64/openoffice.org/program/libcui680lx.so + 0xef74b
0x000000303f31426a: 0x0000000002228238:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x111426a
(Timer::ImplTimerCallbackProc() + 0x7a)
0x00002aaaae91dfbe: 0x000000000004ff88:
/usr/lib64/openoffice.org/program/libvclplug_gtk680lx.so + 0x18fbe
0x0000003c92a2f59b: 0x00000000000c2998: /lib64/libglib-2.0.so.0 + 0x2f59b
0x0000003c92a2ee63: 0x00000000000c2998: /lib64/libglib-2.0.so.0 + 0x2ee63
(g_main_context_dispatch + 0x1c3)
0x0000003c92a3215d: 0x00000000000c2998: /lib64/libglib-2.0.so.0 + 0x3215d
0x0000003c92a3268e: 0x00000000000c2998: /lib64/libglib-2.0.so.0 + 0x3268e
(g_main_context_iteration + 0x6e)
0x00002aaaae91f8b9: 0x000000000004ff88:
/usr/lib64/openoffice.org/program/libvclplug_gtk680lx.so + 0x1a8b9
0x000000303f3104fe: 0x0000000002228238:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x11104fe
(Application::Yield(bool) + 0x3e)
0x000000303f401ab8: 0x0000000002228238:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x1201ab8 (Dialog::Execute() +
0xa8)
0x00002aaac1dcb270: 0x00000000002acc88:
/usr/lib64/openoffice.org/program/libcui680lx.so + 0xec270
0x00002aaac1d89901: 0x00000000002acc88:
/usr/lib64/openoffice.org/program/libcui680lx.so + 0xaa901
0x000000303f7a5f56: 0x0000000002228238:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x15a5f56
0x000000303f8a9185: 0x0000000002228238:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x16a9185
0x000000303f89f844: 0x0000000002228238:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x169f844
0x000000303f8bd500: 0x0000000002228238:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x16bd500
0x000000303f8bd879: 0x0000000002228238:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x16bd879
0x000000303f1165bd: 0x0000000002228238:
/usr/lib64/openoffice.org/program/libsoffice.so + 0xf165bd
(framework::MenuBarManager::Select(Menu*) + 0x10d)
0x000000303f416416: 0x0000000002228238:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x1216416 (Menu::Select() + 0x36)
0x000000303f410d95: 0x0000000002228238:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x1210d95
0x000000303f467954: 0x0000000002228238:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x1267954
0x00002aaaaebafaf7: 0x0000000000084b08:
/usr/lib64/openoffice.org/program/libvclplug_gen680lx.so + 0x54af7
(SalDisplay::DispatchInternalEvent() + 0xa7)
0x00002aaaae91de39: 0x000000000004ff88:
/usr/lib64/openoffice.org/program/libvclplug_gtk680lx.so + 0x18e39
0x0000003c92a2ee63: 0x00000000000c2998: /lib64/libglib-2.0.so.0 + 0x2ee63
(g_main_context_dispatch + 0x1c3)
0x0000003c92a3215d: 0x00000000000c2998: /lib64/libglib-2.0.so.0 + 0x3215d
0x0000003c92a3268e: 0x00000000000c2998: /lib64/libglib-2.0.so.0 + 0x3268e
(g_main_context_iteration + 0x6e)
0x00002aaaae91f8b9: 0x000000000004ff88:
/usr/lib64/openoffice.org/program/libvclplug_gtk680lx.so + 0x1a8b9
0x000000303f3104fe: 0x0000000002228238:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x11104fe
(Application::Yield(bool) + 0x3e)
0x000000303f3105d7: 0x0000000002228238:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x11105d7
(Application::Execute() + 0x27)
0x000000303ec83f11: 0x0000000002228238:
/usr/lib64/openoffice.org/program/libsoffice.so + 0xa83f11
(desktop::Desktop::Main() + 0xe61)
0x000000303f313ff1: 0x0000000002228238:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x1113ff1
0x000000303f314055: 0x0000000002228238:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x1114055 (SVMain() + 0x25)
0x000000303ec7ce83: 0x0000000002228238:
/usr/lib64/openoffice.org/program/libsoffice.so + 0xa7ce83 (main + 0x43)
0x0000003d3401daa4: 0x0000000000149b60: /lib64/libc.so.6 + 0x1daa4
(__libc_start_main + 0xf4)
0x0000000000400619: 0x0000000000000870:
/usr/lib64/openoffice.org/program/swriter.bin + 0x619 (main + 0x49)
...end stackreport details ...
...start sample ldd details ...
	libgtk-x11-2.0.so.0 => /usr/lib64/libgtk-x11-2.0.so.0 (0x00002b73c4ce6000)
	libgdk-x11-2.0.so.0 => /usr/lib64/libgdk-x11-2.0.so.0 (0x00002b73c52d1000)
	libatk-1.0.so.0 => /usr/lib64/libatk-1.0.so.0 (0x00002b73c5571000)
	libgdk_pixbuf-2.0.so.0 => /usr/lib64/libgdk_pixbuf-2.0.so.0 (0x00002b73c5791000)
	libpng12.so.0 => /usr/lib64/libpng12.so.0 (0x00002b73c59ac000)
	libpangocairo-1.0.so.0 => /usr/lib64/libpangocairo-1.0.so.0 (0x00002b73c5bd0000)
	libpango-1.0.so.0 => /usr/lib64/libpango-1.0.so.0 (0x00002b73c5dda000)
	libcairo.so.2 => /usr/lib64/libcairo.so.2 (0x00002b73c601e000)
	libgobject-2.0.so.0 => /lib64/libgobject-2.0.so.0 (0x00002b73c629a000)
	libgmodule-2.0.so.0 => /lib64/libgmodule-2.0.so.0 (0x00002b73c64dd000)
	libdl.so.2 => /lib64/libdl.so.2 (0x00002b73c66e0000)
	libgthread-2.0.so.0 => /lib64/libgthread-2.0.so.0 (0x00002b73c68e4000)
	librt.so.1 => /lib64/librt.so.1 (0x00002b73c6ae9000)
	libglib-2.0.so.0 => /lib64/libglib-2.0.so.0 (0x00002b73c6cf2000)
	libvclplug_gen680lx.so =>
/usr/lib64/openoffice.org/program/libvclplug_gen680lx.so (0x00002b73c6fb6000)
	libsoffice.so => /usr/lib64/openoffice.org/program/libsoffice.so
(0x00002b73c7244000)
	libuno_cppuhelpergcc3.so.3 =>
/usr/lib64/openoffice.org/program/libuno_cppuhelpergcc3.so.3 (0x00002b73c9745000)
	libuno_cppu.so.3 => /usr/lib64/openoffice.org/program/libuno_cppu.so.3
(0x00002b73c99bb000)
	libuno_sal.so.3 => /usr/lib64/openoffice.org/program/libuno_sal.so.3
(0x00002b73c9be3000)
	libX11.so.6 => /usr/lib64/libX11.so.6 (0x00002b73c9fd9000)
	libXext.so.6 => /usr/lib64/libXext.so.6 (0x00002b73ca2e4000)
	libpthread.so.0 => /lib64/libpthread.so.0 (0x00002b73ca4f6000)
	libm.so.6 => /lib64/libm.so.6 (0x00002b73ca710000)
	libstdc++.so.6 => /usr/lib64/libstdc++.so.6 (0x00002b73ca993000)
	libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00002b73cac94000)
	libc.so.6 => /lib64/libc.so.6 (0x00002b73caea2000)
	libXfixes.so.3 => /usr/lib64/libXfixes.so.3 (0x00002b73cb1f2000)
	libfontconfig.so.1 => /usr/lib64/libfontconfig.so.1 (0x00002b73cb3f8000)
	libXrender.so.1 => /usr/lib64/libXrender.so.1 (0x00002b73cb62c000)
	libXinerama.so.1 => /usr/lib64/libXinerama.so.1 (0x00002b73cb835000)
	libXi.so.6 => /usr/lib64/libXi.so.6 (0x00002b73cba38000)
	libXrandr.so.2 => /usr/lib64/libXrandr.so.2 (0x00002b73cbc40000)
	libXcursor.so.1 => /usr/lib64/libXcursor.so.1 (0x00002b73cbe47000)
	libz.so.1 => /lib64/libz.so.1 (0x00002b73cc052000)
	libpangoft2-1.0.so.0 => /usr/lib64/libpangoft2-1.0.so.0 (0x00002b73cc266000)
	libfreetype.so.6 => /usr/lib64/libfreetype.so.6 (0x00002b73cc497000)
	/lib64/ld-linux-x86-64.so.2 (0x0000555555554000)
	libSM.so.6 => /usr/lib64/libSM.so.6 (0x00002b73cc725000)
	libICE.so.6 => /usr/lib64/libICE.so.6 (0x00002b73cc92f000)
	libicuuc.so.36 => /usr/lib64/libicuuc.so.36 (0x00002b73ccb4b000)
	libicui18n.so.36 => /usr/lib64/libicui18n.so.36 (0x00002b73cce7f000)
	libicule.so.36 => /usr/lib64/libicule.so.36 (0x00002b73cd1c3000)
	libjvmfwk.so.3 => /usr/lib64/openoffice.org/program/libjvmfwk.so.3
(0x00002b73cd407000)
	libjvmaccessgcc3.so.3 =>
/usr/lib64/openoffice.org/program/libjvmaccessgcc3.so.3 (0x00002b73cd61d000)
	libuno_salhelpergcc3.so.3 =>
/usr/lib64/openoffice.org/program/libuno_salhelpergcc3.so.3 (0x00002b73cd822000)
	libgnomevfs-2.so.0 => /usr/lib64/libgnomevfs-2.so.0 (0x00002b73cda27000)
	libgconf-2.so.4 => /usr/lib64/libgconf-2.so.4 (0x00002b73cdc9d000)
	libORBit-2.so.0 => /usr/lib64/libORBit-2.so.0 (0x00002b73cded9000)
	libjpeg.so.62 => /usr/lib64/libjpeg.so.62 (0x00002b73ce146000)
	libcrypt.so.1 => /lib64/libcrypt.so.1 (0x00002b73ce368000)
	libXau.so.6 => /usr/lib64/libXau.so.6 (0x00002b73ce59d000)
	libXdmcp.so.6 => /usr/lib64/libXdmcp.so.6 (0x00002b73ce79f000)
	libexpat.so.0 => /lib64/libexpat.so.0 (0x00002b73ce9a4000)
	libicudata.so.36 => /usr/lib64/libicudata.so.36 (0x00002b73cebc7000)
	libxml2.so.2 => /usr/lib64/libxml2.so.2 (0x00002b73cf776000)
	libdbus-glib-1.so.2 => /usr/lib64/libdbus-glib-1.so.2 (0x00002b73cfab5000)
	libdbus-1.so.3 => /lib64/libdbus-1.so.3 (0x00002b73cfcd4000)
	libssl.so.6 => /lib64/libssl.so.6 (0x00002b73cff0b000)
	libcrypto.so.6 => /lib64/libcrypto.so.6 (0x00002b73d0155000)
	libavahi-glib.so.1 => /usr/lib64/libavahi-glib.so.1 (0x00002b73d049c000)
	libavahi-common.so.3 => /usr/lib64/libavahi-common.so.3 (0x00002b73d069f000)
	libavahi-client.so.3 => /usr/lib64/libavahi-client.so.3 (0x00002b73d08ab000)
	libresolv.so.2 => /lib64/libresolv.so.2 (0x00002b73d0abb000)
	libselinux.so.1 => /lib64/libselinux.so.1 (0x00002b73d0cd0000)
	libutil.so.1 => /lib64/libutil.so.1 (0x00002b73d0eec000)
	libnsl.so.1 => /lib64/libnsl.so.1 (0x00002b73d10ef000)
	libcap.so.1 => /lib64/libcap.so.1 (0x00002b73d1308000)
	libgssapi_krb5.so.2 => /usr/lib64/libgssapi_krb5.so.2 (0x00002b73d150b000)
	libkrb5.so.3 => /usr/lib64/libkrb5.so.3 (0x00002b73d1739000)
	libcom_err.so.2 => /lib64/libcom_err.so.2 (0x00002b73d19cc000)
	libk5crypto.so.3 => /usr/lib64/libk5crypto.so.3 (0x00002b73d1bce000)
	libkrb5support.so.0 => /usr/lib64/libkrb5support.so.0 (0x00002b73d1df4000)
	libkeyutils.so.1 => /lib64/libkeyutils.so.1 (0x00002b73d1ffc000)
...end sample ldd details ...
Comment 1 Caolan McNamara 2007-06-26 11:39:48 EDT
Only the once, i.e. not reproducible ?, and by prefs you mean tools->options ?
Comment 2 Nicolas Mailhot 2007-06-26 12:07:04 EDT
actually just pressing the spellchek button crashes it all the time. I didn't
install the debuginfo package, at > 500MiB it's pretty insane

(I)    x.org loaded video driver of...
(II) Loading /usr/lib64/xorg/modules/drivers//nouveau_drv.so
(III)  Desktop is: GNOME
(IV)   libgcj version is: libgcj-4.1.2-13-x86_64
(V)    kernel is: Linux 2.6.22-0.19.rc5.cfs18.hrt1.fc8 #1 SMP PREEMPT Sat Jun 23
05:16:02 EDT 2007 x86_64 x86_64 x86_64
(VI)   OpenOffice.org core rpm version is: openoffice.org-core-2.2.1-18.3.fc8-x86_64
(VII)    depth of root window:    24 planes
(VIII) accessibility is: true
(VIV)  fedora release is: Fedora release 7.89 (Rawhide)
...start free space details ...
Sys. de fich.        1K-blocs       Occupé Disponible Capacité Monté sur
/dev/mapper/VolGroup00-home
                      58151084  29178816  25970720  53% /home
/dev/mapper/VolGroup00-system
                      20314748  11858464   7617424  61% /
...end free space details ...
...start sestatus details ...
SELinux status:                 disabled
...end sestatus details ...
...start stackreport details ...
0x00000037122369c7: 0x00000000001eab48:
/usr/lib64/openoffice.org/program/libuno_sal.so.3 + 0x369c7
0x000000371223749a: 0x00000000001eab48:
/usr/lib64/openoffice.org/program/libuno_sal.so.3 + 0x3749a
0x0000003d34030620: 0x0000000000149b60: /lib64/libc.so.6 + 0x30620
0x0000003d340305b5: 0x0000000000149b60: /lib64/libc.so.6 + 0x305b5 (gsignal + 0x35)
0x0000003d34032060: 0x0000000000149b60: /lib64/libc.so.6 + 0x32060 (abort + 0x110)
0x0000003d34068d0b: 0x0000000000149b60: /lib64/libc.so.6 + 0x68d0b
0x0000003d34070412: 0x0000000000149b60: /lib64/libc.so.6 + 0x70412
0x0000003d34073b1c: 0x0000000000149b60: /lib64/libc.so.6 + 0x73b1c (cfree + 0x8c)
0x00002aaaae93b9b8: 0x000000000004ff88:
/usr/lib64/openoffice.org/program/libvclplug_gtk680lx.so + 0x369b8
0x00000039bcbe7548: 0x0000000002228238:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x11e7548
(SalGraphics::GetNativeControlRegion(unsigned int, unsigned int, Region const&,
unsigned int, ImplControlValue const&, SalControlHandle&, rtl::OUString const&,
Region&, Region&, OutputDevice const*) + 0x168)
0x00000039bcc6c6a2: 0x0000000002228238:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x126c6a2
(Window::GetNativeControlRegion(unsigned int, unsigned int, Region const&,
unsigned int, ImplControlValue const&, rtl::OUString, Region&, Region&) + 0x112)
0x00000039bccaa86b: 0x0000000002228238:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x12aa86b (ListBox::Resize() +
0x3db)
0x00000039bcc5c969: 0x0000000002228238:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x125c969
0x00000039bcc5ca56: 0x0000000002228238:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x125ca56
(Window::Show(unsigned char, unsigned short) + 0xd6)
0x00000039bed1ee6d: 0x0000000000c5bd30:
/usr/lib64/openoffice.org/program/libsvx680lx.so + 0x51ee6d
(SvxLanguageBox::SvxLanguageBox(Window*, ResId const&, unsigned char) + 0x2d)
0x00002aaab8631bb1: 0x00000000002acc88:
/usr/lib64/openoffice.org/program/libcui680lx.so + 0x1d2bb1
0x00002aaab850d5bf: 0x00000000002acc88:
/usr/lib64/openoffice.org/program/libcui680lx.so + 0xae5bf
0x00000039bed66a6d: 0x0000000000c5bd30:
/usr/lib64/openoffice.org/program/libsvx680lx.so + 0x566a6d
(svx::SpellDialogChildWindow::SpellDialogChildWindow(Window*, unsigned short,
SfxBindings*, SfxChildWinInfo*) + 0x4d)
0x00000039bffaa42c: 0x0000000000ae9de8:
/usr/lib64/openoffice.org/program/libsw680lx.so + 0x7aa42c
0x00000039bffaa569: 0x0000000000ae9de8:
/usr/lib64/openoffice.org/program/libsw680lx.so + 0x7aa569
0x00000039bcfb5f0b: 0x0000000002228238:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x15b5f0b
(SfxChildWindow::CreateChildWindow(unsigned short, Window*, SfxBindings*,
SfxChildWinInfo&) + 0x1db)
0x00000039bcfe21fe: 0x0000000002228238:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x15e21fe
0x00000039bcfe5035: 0x0000000002228238:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x15e5035
0x00000039c008acbc: 0x0000000000ae9de8:
/usr/lib64/openoffice.org/program/libsw680lx.so + 0x88acbc
(SwView::Execute(SfxRequest&) + 0x197c)
0x00000039bd0a9185: 0x0000000002228238:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x16a9185
0x00000039bd09f844: 0x0000000002228238:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x169f844
0x00000039bd0bd500: 0x0000000002228238:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x16bd500
0x00000039bd0bd879: 0x0000000002228238:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x16bd879
0x00000039bc97d5d1: 0x0000000002228238:
/usr/lib64/openoffice.org/program/libsoffice.so + 0xf7d5d1
(framework::GenericToolbarController::ExecuteHdl_Impl(framework::GenericToolbarController*,
framework::ExecuteInfo*) + 0x21)
0x00000039bcc67954: 0x0000000002228238:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x1267954
0x00002aaaaebafaf7: 0x0000000000084b08:
/usr/lib64/openoffice.org/program/libvclplug_gen680lx.so + 0x54af7
(SalDisplay::DispatchInternalEvent() + 0xa7)
0x00002aaaae91de39: 0x000000000004ff88:
/usr/lib64/openoffice.org/program/libvclplug_gtk680lx.so + 0x18e39
0x0000003c92a2ee63: 0x00000000000c2998: /lib64/libglib-2.0.so.0 + 0x2ee63
(g_main_context_dispatch + 0x1c3)
0x0000003c92a3215d: 0x00000000000c2998: /lib64/libglib-2.0.so.0 + 0x3215d
0x0000003c92a3268e: 0x00000000000c2998: /lib64/libglib-2.0.so.0 + 0x3268e
(g_main_context_iteration + 0x6e)
0x00002aaaae91f8b9: 0x000000000004ff88:
/usr/lib64/openoffice.org/program/libvclplug_gtk680lx.so + 0x1a8b9
0x00000039bcb104fe: 0x0000000002228238:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x11104fe
(Application::Yield(bool) + 0x3e)
0x00000039bcb105d7: 0x0000000002228238:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x11105d7
(Application::Execute() + 0x27)
0x00000039bc483f11: 0x0000000002228238:
/usr/lib64/openoffice.org/program/libsoffice.so + 0xa83f11
(desktop::Desktop::Main() + 0xe61)
0x00000039bcb13ff1: 0x0000000002228238:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x1113ff1
0x00000039bcb14055: 0x0000000002228238:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x1114055 (SVMain() + 0x25)
0x00000039bc47ce83: 0x0000000002228238:
/usr/lib64/openoffice.org/program/libsoffice.so + 0xa7ce83 (main + 0x43)
0x0000003d3401daa4: 0x0000000000149b60: /lib64/libc.so.6 + 0x1daa4
(__libc_start_main + 0xf4)
0x0000000000400619: 0x0000000000000870:
/usr/lib64/openoffice.org/program/swriter.bin + 0x619 (main + 0x49)
...end stackreport details ...
...start sample ldd details ...
	libgtk-x11-2.0.so.0 => /usr/lib64/libgtk-x11-2.0.so.0 (0x00002b1bd9b48000)
	libgdk-x11-2.0.so.0 => /usr/lib64/libgdk-x11-2.0.so.0 (0x00002b1bda133000)
	libatk-1.0.so.0 => /usr/lib64/libatk-1.0.so.0 (0x00002b1bda3d3000)
	libgdk_pixbuf-2.0.so.0 => /usr/lib64/libgdk_pixbuf-2.0.so.0 (0x00002b1bda5f3000)
	libpng12.so.0 => /usr/lib64/libpng12.so.0 (0x00002b1bda80e000)
	libpangocairo-1.0.so.0 => /usr/lib64/libpangocairo-1.0.so.0 (0x00002b1bdaa32000)
	libpango-1.0.so.0 => /usr/lib64/libpango-1.0.so.0 (0x00002b1bdac3c000)
	libcairo.so.2 => /usr/lib64/libcairo.so.2 (0x00002b1bdae80000)
	libgobject-2.0.so.0 => /lib64/libgobject-2.0.so.0 (0x00002b1bdb0fc000)
	libgmodule-2.0.so.0 => /lib64/libgmodule-2.0.so.0 (0x00002b1bdb33f000)
	libdl.so.2 => /lib64/libdl.so.2 (0x00002b1bdb542000)
	libgthread-2.0.so.0 => /lib64/libgthread-2.0.so.0 (0x00002b1bdb746000)
	librt.so.1 => /lib64/librt.so.1 (0x00002b1bdb94b000)
	libglib-2.0.so.0 => /lib64/libglib-2.0.so.0 (0x00002b1bdbb54000)
	libvclplug_gen680lx.so =>
/usr/lib64/openoffice.org/program/libvclplug_gen680lx.so (0x00002b1bdbe18000)
	libsoffice.so => /usr/lib64/openoffice.org/program/libsoffice.so
(0x00002b1bdc0a6000)
	libuno_cppuhelpergcc3.so.3 =>
/usr/lib64/openoffice.org/program/libuno_cppuhelpergcc3.so.3 (0x00002b1bde5a7000)
	libuno_cppu.so.3 => /usr/lib64/openoffice.org/program/libuno_cppu.so.3
(0x00002b1bde81d000)
	libuno_sal.so.3 => /usr/lib64/openoffice.org/program/libuno_sal.so.3
(0x00002b1bdea45000)
	libX11.so.6 => /usr/lib64/libX11.so.6 (0x00002b1bdee3b000)
	libXext.so.6 => /usr/lib64/libXext.so.6 (0x00002b1bdf146000)
	libpthread.so.0 => /lib64/libpthread.so.0 (0x00002b1bdf358000)
	libm.so.6 => /lib64/libm.so.6 (0x00002b1bdf572000)
	libstdc++.so.6 => /usr/lib64/libstdc++.so.6 (0x00002b1bdf7f5000)
	libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00002b1bdfaf6000)
	libc.so.6 => /lib64/libc.so.6 (0x00002b1bdfd04000)
	libXfixes.so.3 => /usr/lib64/libXfixes.so.3 (0x00002b1be0054000)
	libfontconfig.so.1 => /usr/lib64/libfontconfig.so.1 (0x00002b1be025a000)
	libXrender.so.1 => /usr/lib64/libXrender.so.1 (0x00002b1be048e000)
	libXinerama.so.1 => /usr/lib64/libXinerama.so.1 (0x00002b1be0697000)
	libXi.so.6 => /usr/lib64/libXi.so.6 (0x00002b1be089a000)
	libXrandr.so.2 => /usr/lib64/libXrandr.so.2 (0x00002b1be0aa2000)
	libXcursor.so.1 => /usr/lib64/libXcursor.so.1 (0x00002b1be0ca9000)
	libz.so.1 => /lib64/libz.so.1 (0x00002b1be0eb4000)
	libpangoft2-1.0.so.0 => /usr/lib64/libpangoft2-1.0.so.0 (0x00002b1be10c8000)
	libfreetype.so.6 => /usr/lib64/libfreetype.so.6 (0x00002b1be12f9000)
	/lib64/ld-linux-x86-64.so.2 (0x0000555555554000)
	libSM.so.6 => /usr/lib64/libSM.so.6 (0x00002b1be1587000)
	libICE.so.6 => /usr/lib64/libICE.so.6 (0x00002b1be1791000)
	libicuuc.so.36 => /usr/lib64/libicuuc.so.36 (0x00002b1be19ad000)
	libicui18n.so.36 => /usr/lib64/libicui18n.so.36 (0x00002b1be1ce1000)
	libicule.so.36 => /usr/lib64/libicule.so.36 (0x00002b1be2025000)
	libjvmfwk.so.3 => /usr/lib64/openoffice.org/program/libjvmfwk.so.3
(0x00002b1be2269000)
	libjvmaccessgcc3.so.3 =>
/usr/lib64/openoffice.org/program/libjvmaccessgcc3.so.3 (0x00002b1be247f000)
	libuno_salhelpergcc3.so.3 =>
/usr/lib64/openoffice.org/program/libuno_salhelpergcc3.so.3 (0x00002b1be2684000)
	libgnomevfs-2.so.0 => /usr/lib64/libgnomevfs-2.so.0 (0x00002b1be2889000)
	libgconf-2.so.4 => /usr/lib64/libgconf-2.so.4 (0x00002b1be2aff000)
	libORBit-2.so.0 => /usr/lib64/libORBit-2.so.0 (0x00002b1be2d3b000)
	libjpeg.so.62 => /usr/lib64/libjpeg.so.62 (0x00002b1be2fa8000)
	libcrypt.so.1 => /lib64/libcrypt.so.1 (0x00002b1be31c9000)
	libXau.so.6 => /usr/lib64/libXau.so.6 (0x00002b1be33fe000)
	libXdmcp.so.6 => /usr/lib64/libXdmcp.so.6 (0x00002b1be3600000)
	libexpat.so.0 => /lib64/libexpat.so.0 (0x00002b1be3805000)
	libicudata.so.36 => /usr/lib64/libicudata.so.36 (0x00002b1be3a28000)
	libxml2.so.2 => /usr/lib64/libxml2.so.2 (0x00002b1be45d7000)
	libdbus-glib-1.so.2 => /usr/lib64/libdbus-glib-1.so.2 (0x00002b1be4916000)
	libdbus-1.so.3 => /lib64/libdbus-1.so.3 (0x00002b1be4b35000)
	libssl.so.6 => /lib64/libssl.so.6 (0x00002b1be4d6c000)
	libcrypto.so.6 => /lib64/libcrypto.so.6 (0x00002b1be4fb6000)
	libavahi-glib.so.1 => /usr/lib64/libavahi-glib.so.1 (0x00002b1be52fd000)
	libavahi-common.so.3 => /usr/lib64/libavahi-common.so.3 (0x00002b1be5500000)
	libavahi-client.so.3 => /usr/lib64/libavahi-client.so.3 (0x00002b1be570c000)
	libresolv.so.2 => /lib64/libresolv.so.2 (0x00002b1be591c000)
	libselinux.so.1 => /lib64/libselinux.so.1 (0x00002b1be5b31000)
	libutil.so.1 => /lib64/libutil.so.1 (0x00002b1be5d4d000)
	libnsl.so.1 => /lib64/libnsl.so.1 (0x00002b1be5f50000)
	libcap.so.1 => /lib64/libcap.so.1 (0x00002b1be6169000)
	libgssapi_krb5.so.2 => /usr/lib64/libgssapi_krb5.so.2 (0x00002b1be636c000)
	libkrb5.so.3 => /usr/lib64/libkrb5.so.3 (0x00002b1be659a000)
	libcom_err.so.2 => /lib64/libcom_err.so.2 (0x00002b1be682d000)
	libk5crypto.so.3 => /usr/lib64/libk5crypto.so.3 (0x00002b1be6a2f000)
	libkrb5support.so.0 => /usr/lib64/libkrb5support.so.0 (0x00002b1be6c55000)
	libkeyutils.so.1 => /lib64/libkeyutils.so.1 (0x00002b1be6e5d000)
...end sample ldd details ...
Comment 3 Caolan McNamara 2007-06-26 12:45:44 EDT
There's no need for you to get debuginfo, I'll use "ooomapstack" ala
http://fedoraproject.org/wiki/OpenOffice.org to map the stack back to code.

I know that cairo is a bit of a stinker at the moment, but that should be an
XError, not a crash. hmm... I have the same x86_64 ver of OOo installed on
rawhide and I'm not seeing any such crash, it would also *seem* unlikely that
the nouveau would cause something like this.

So, what's your gnome theme, "Fedora" ?, The stack suggests that there's a crash
on releasing resources acquired during a call to gtk_widget_style_get to get the
indicator_size and indicator_spacing
Comment 4 Caolan McNamara 2007-06-26 12:46:34 EDT
Created attachment 157914 [details]
mapped backtrace
Comment 5 Nicolas Mailhot 2007-06-26 13:28:43 EDT
It's Pharago widgets + Echo icons + Alison (original bluecurve derivative) wm

Firefox is crashing regularly too when opening subwindows, I suppose the problem
is related
Comment 6 Nicolas Mailhot 2007-06-26 13:30:38 EDT
Sweet, switching to Industrial fixes the crash
Comment 7 Nicolas Mailhot 2007-06-26 13:33:29 EDT
Reassigning to gtk2-engines, Pharago reuses existing themes
Comment 8 Nicolas Mailhot 2007-06-26 13:38:49 EDT
Created attachment 157920 [details]
Pharago gtkrc
Comment 9 Caolan McNamara 2007-06-26 14:06:23 EDT
Both firefox and OOo have a similar mechanism to render the gtk widget theme
onto their own true widgets, so if one fails I'm not surprised the other fails.
Which isn't to say that both firefox and OOo don't *share* a bug here :-)
Comment 10 Caolan McNamara 2007-10-19 05:06:05 EDT

*** This bug has been marked as a duplicate of 338701 ***

Note You need to log in before you can comment on or make changes to this bug.